extends Node2D

var health = 3
var last_health
var golems
var wizard_health
@export var health_ball_full: Texture
@export var health_ball_empty: Texture
@onready var animation_player = $AnimationPlayer


func _ready():
	golems = get_tree().root.find_child("HomeSpawn", true, false)
	wizard_health = get_tree().root.find_child("WizardHealth", true, false)
	last_health = health


func _process(_delta):
	if last_health > health and health > 0:
		animation("cast")
		
		# update health
		var count_health = 0
		for health_ball in wizard_health.get_children():
			count_health += 1
			if count_health <= health:
				health_ball.texture = health_ball_full
			else:
				health_ball.texture = health_ball_empty
		
		for golem in golems.get_children():
			golem.health = 0
		
		last_health = health
	
	elif last_health > health and health <= 0:
		print("death of the blue wizard")
		animation("death")
		last_health = health
	elif health > 0:
		animation("idle")

func animation(animation_name):
	if animation_player.current_animation == animation_name and animation_player.is_playing():
		return
	
	if animation_name == "death":
		animation_player.play(animation_name)
	elif animation_player.current_animation != "cast":
		animation_player.play(animation_name)
